// creator  : weidu.exe (version 23600)
// argument : BEGGNA.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BEGGNA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 3 4 even though they appear after this state */
~  RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #354 /* ~The ore shortage closed me shops. Spare a copper till I be on me feet?~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26869 /* ~Troubles in the Region
That beggar I met used to be a merchant until the iron shortage put him out of business. He can't be the only one suffering from this strange phenomenon.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 3 4 even though they appear after this state */
~  RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #355 /* ~Alms, alms for the poor?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 3 4 even though they appear after this state */
~  RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #356 /* ~I've nothing of value, p-please let me be.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #5798 /* ~I thinks I got some sort a stomach flu, but that's all I know.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~  RandomNum(4,4)
~ THEN BEGIN 4 // from:
  SAY #8939 /* ~Please don't stand there mocking me. I'm but a pathetic beggar who needs sympathy, not ridicule.~ */
  IF ~~ THEN EXIT
END
